package PktDump::Analyser::Loopback;

use strict;
use warnings;

use base qw( PktDump::Analyser );

use constant HATYPE => 772;

sub analyse
{
   my $self = shift;
   my ( $pkt, $opts ) = @_;

   my ( $ethertype, $data ) = unpack( "x12 n a*", $pkt );

   $self->for_ethertype( $ethertype )->analyse( $data, $opts );
}

sub hdrlen { 14 }

1;
