package PktDump::PacketSourceRole;

use strict;
use warnings;

sub recv_packets
{
   my $self = shift;
   my ( $handle_pkt ) = @_;

   while( my $info = $self->read_packet( my $packet ) ) {
      $handle_pkt->( $packet, $info ) or last;
   }
}

1;
